# std::basic_string_view<CharT,Traits>::substr

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr basic_string_view substr(size_type pos = 0, size_type count = npos ) const; |  | (since C++17)

Returns a view of the substring `[pos, pos + rcount)`, where `rcount` is the smaller of `count` and size() - pos.

### Parameters

pos | - | position of the first character
count | - | requested length

### Return value

View of the substring `[pos, pos + rcount)`.

### Exceptions

std::out_of_range if pos > size()

### Complexity

Constant.

### See also

copy | copies characters (public member function)
find | find characters in the view (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/substr&oldid=105485"